Bug 204510 - rhds71 CRM#950700 console LDAPReferralException 10 on cut and paste of objects
rhds71 CRM#950700 console LDAPReferralException 10 on cut and paste of objects
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Directory Console (Show other bugs)
7.1
All Linux
high Severity high
: DS8.0
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 240316
  Show dependency treegraph
 
Reported: 2006-08-29 13:29 EDT by Issue Tracker
Modified: 2016-05-06 10:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 10:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Fix (1.60 KB, patch)
2007-08-01 01:48 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Issue Tracker 2006-08-29 13:29:27 EDT
Escalated to Bugzilla from IssueTracker
Comment 2 Marco Rhodes 2006-08-29 18:24:14 EDT
Scenario description:
1 RH Directory Server Master base dc=example,dc=com
1 RHDS Slave replica

Problem:
Whenever I use Red Hat Managemet Console(Red Hat Directoy Server) to manage
objects within the LDAP base on the Master server, its possible to use the
Cut/Paste functionalities to move objects from one container to another, but if
I try to do the same action on the RHDS Slave replica RHDS server the RH
Management Console issue the following error:
uid=ftorax, ou=Hosts,dc=example,dc=com: netscape.ldap.LDAPReferralException:
referral (10); Referral received; Failed to follow referral
ldap://station3.example.com:389< br />
I attached a screenshot of the error message from the RH Management Console to
help understand the problem.

We are currently using the following versions of the RHDS:
redhat-ds-7.1SP2-4.RHEL4.i386.rpm; the redhat-ds-7.1SP1-3.RHEL4.i386.rpm was
tested as well but with no success. 
Comment 3 Marco Rhodes 2006-08-30 19:05:41 EDT
Debug output from paste operation => 

DSContentPage.actionPerformed(): paste
DSContentPage.getConnectionForNode: for node [ldap://mrhodes-vm1.sfbay.redhat.co
m:510/ou%3dSpecial%20Users,dc%3dexample,dc%3dcom] getting connection [LDAPConnec
tion {ldap://mrhodes-vm1.sfbay.redhat.com:510 ldapVersion:3 bindDN:"uid=admin,
ou=Administrators, ou=TopologyManagement, o=NetscapeRoot"}] isConnected=true
isAuthenticated=true
ClassLoader: :loadClass():name:com.netscape.admin.dirserv.Paster
ClassLoader: :loadClass():loading:com.netscape.admin.dirserv.Paster
ClassLoader: com/netscape/admin/dirserv/Paster.class found in ds71.jar
JButtonFactory: button width = 72
JButtonFactory: button height = 19
ResourceSet:getString():Unable to resolve general-Stop-ttip
ResourceSet:getString():Unable to resolve general-Stop-mnemonic
JButtonFactory: button width = 72
JButtonFactory: button height = 19
JButtonFactory: button width = 90
JButtonFactory: button height = 19
JButtonFactory: button width = 90
JButtonFactory: button height = 19
Paster.pasteTree: error pasting entry=uid=scarter, ou=Special
Users,dc=example,dc=com:netscape.ldap.LDAPReferralException: referral (10);
Referral received; Failed to follow referral
ldap://mrhodes-vm1.sfbay.redhat.com:500
ClassLoader: :loadClass():name:com.netscape.admin.dirserv.GenericProgressDialog$
TextFieldAppender
ClassLoader:
:loadClass():loading:com.netscape.admin.dirserv.GenericProgressDialog$TextFieldAppender
ClassLoader: com/netscape/admin/dirserv/GenericProgressDialog$TextFieldAppender.
class found in ds71.jar
ClassLoader: :loadClass():name:com.netscape.admin.dirserv.GenericProgressDialog$
WaitAndCloser
ClassLoader:
:loadClass():loading:com.netscape.admin.dirserv.GenericProgressDialog$WaitAndCloser
ClassLoader:
com/netscape/admin/dirserv/GenericProgressDialog$WaitAndCloser.class found in
ds71.jar
AbstractServerObject.StatusThread: waiting for chanage listeners to register
AbstractServerObject.StatusThread: waiting for chanage listeners to register
DSUtil.checkServerStatus: begin
DSUtil.checkServerStatus: ldc={host=mrhodes-vm1.sfbay.redhat.com} {port=510}
{authdn=uid=admin, ou=Administrators, ou=TopologyManagement, o=NetscapeRoot}
state= true
DSUtil.checkServerStatus: end state = true
DSAdmin.getServerStatus(): end state = true
AbstractServerObject.StatusThread: Check Status CGI = 1 exe time: 0.0010
AbstractServerObject.StatusThread: change listener count=1
Comment 7 Marc Sauton 2007-07-06 14:11:14 EDT
changed summary from
CRM#950700 Red Hat Management Console error code 10 bug
to
rhds71 CRM#950700 console LDAPReferralException 10 on cut and paste of objects
Comment 8 Nathan Kinder 2007-08-01 01:48:05 EDT
Created attachment 160397 [details]
Proposed Fix

The paste action was not setting up the connection properly for referrals. 
Other console actions, such as cut, do follow referrals correctly.  This fix
uses the same method to setup the connection as the other actions that are
working.
Comment 9 Nathan Kinder 2007-08-02 12:36:17 EDT
Checked into directoryconsole (HEAD).  Thanks for the review Rich!

Checking in DSContentPage.java;
/cvs/dirsec/directoryconsole/src/com/netscape/admin/dirserv/DSContentPage.java,v
 <--  DSContentPage.java
new revision: 1.4; previous revision: 1.3
done

Note You need to log in before you can comment on or make changes to this bug.